Gtk_HandleBox(3)

NAME - Gtk_HandleBox
A widget for separating area to its own window

HEADER REQUIRED
#include <gtk--/handlebox.h&gt;>

BASE CLASSES
Gtk_Bin(3)

PROPERTIES

bin_window
    Type: GdkWindow*

     parent window for children

float_window
    Type: GdkWindow*

shadow_type
    Type: GtkShadowType

handle_position
    Type: guint:2

float_window_mapped
    Type: guint:1

child_detached
    Type: guint:1

in_drag
    Type: guint:1

shrink_on_detach
    Type: guint:1

     .IP

PUBLIC MEMBER INDEX
    Gtk_HandleBox();
    Gtk_HandleBox(GtkHandleBox *castitem);
    signal void  child_attached_c(GtkWidget*);
    signal void  child_detached_c(GtkWidget*);
    signal void  child_attached(Gtk_Widget*);
    signal void  child_detached(Gtk_Widget*);
    void  set_shadow_type(GtkShadowType type);
    GtkHandleBox*  gtkobj();
    const GtkHandleBox*  gtkobj() const;
    static bool  isGtkHandleBox(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkHandleBox  BaseObjectType;
    typedef GtkHandleBoxClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  child_attached_c_impl(GtkWidget* p1);
    virtual void  child_detached_c_impl(GtkWidget* p1);

PRIVATE MEMBER INDEX
    static CppClassType  handle_box_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS